{pkgs, ...}: {
  nix = {
    extraOptions = ''
      experimental-features = flakes nix-command
    '';
    # this is required until nix 2.4 is released
    package = pkgs.nixFlakes;

    settings = {
      auto-optimise-store = true;
      trusted-users = ["root" "michael"];
    };
    gc = {
      automatic = true;
      dates = "weekly";
      options = "--delete-older-than 30d";
    };
  };

  nixpkgs.config = {
    allowUnfree = true;
  };
}
